List imports
Your key's business's imports in its environment, from newest to oldest.
Your API key, which acts for the one business it was created for: fb_sandbox_… issues in sandbox, fb_test_… in test, the tax authority's testing service, and fb_live_… in live.
In: header
Query Parameters
How many per page, from 1 to 100.
1 <= value <= 10020The next_cursor or prev_cursor of a previous response. Without a cursor, the first page.
length <= 200Value in
- "queued"
- "processing"
- "completed"
- "failed"
- "canceled"
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/ec/imports"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "object": "import", "country": "ec", "environment": "sandbox", "entity_id": "8161163a-f227-466f-bc01-090a01e80165", "status": "queued", "status_transitions": { "queued": "2019-08-24T14:15:22Z", "processing": "2019-08-24T14:15:22Z", "completed": "2019-08-24T14:15:22Z", "failed": "2019-08-24T14:15:22Z", "canceled": "2019-08-24T14:15:22Z" }, "files": [ { "name": "string", "kind": "xml", "size": 0, "sha256": "string", "ignored_entries": 0 } ], "counts": { "found": 0, "pending": 0, "imported": 0, "duplicate": 0, "skipped": 0, "failed": 0 }, "verification": { "sri": 0, "listed": 0, "signature": 0, "unconfirmed": 0 }, "currency": "string", "sales_total": "string", "upgraded": { "signature": 0, "unconfirmed": 0 }, "numbering": [ { "series_id": "0f6582ac-1e7e-41dc-a63a-24fccd074d0c", "document_type": "invoice", "establishment": "string", "emission_point": "string", "highest_imported": 0, "highest_reserved": 0, "next_number": 0, "active": true, "created": true } ], "failure": { "code": "unreadable_archive", "message": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "prev_cursor": "string"}Import history POST
Upload your key's business's authorized documents from your previous system as `multipart/form-data`. They are stored and queued: it answers `201` with the import in `queued`. Retrieve it or wait for the `import.completed` event. The same files while their import is still running return that import with `200`, and so does a repeated `Idempotency-Key`.
Retrieve an import GET
The import with its status, the files you uploaded and how many documents were found, imported, repeated, skipped or failed. To see what happened to each one, use `GET /v1/ec/imports/{id}/items`.